<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetEcoMonitorReportResult_V3 StructType
 * @subpackage Structs
 */
class GetEcoMonitorReportResult_V3 extends GetEcoMonitorReportResult_V2
{
    /**
     * The MoreData
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $MoreData;
    /**
     * The MaxModificationId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $MaxModificationId;
    /**
     * Constructor method for GetEcoMonitorReportResult_V3
     * @uses GetEcoMonitorReportResult_V3::setMoreData()
     * @uses GetEcoMonitorReportResult_V3::setMaxModificationId()
     * @param bool $moreData
     * @param int $maxModificationId
     */
    public function __construct($moreData = null, $maxModificationId = null)
    {
        $this
            ->setMoreData($moreData)
            ->setMaxModificationId($maxModificationId);
    }
    /**
     * Get MoreData value
     * @return bool
     */
    public function getMoreData()
    {
        return $this->MoreData;
    }
    /**
     * Set MoreData value
     * @param bool $moreData
     * @return \StructType\GetEcoMonitorReportResult_V3
     */
    public function setMoreData($moreData = null)
    {
        // validation for constraint: boolean
        if (!is_null($moreData) && !is_bool($moreData)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($moreData, true), gettype($moreData)), __LINE__);
        }
        $this->MoreData = $moreData;
        return $this;
    }
    /**
     * Get MaxModificationId value
     * @return int
     */
    public function getMaxModificationId()
    {
        return $this->MaxModificationId;
    }
    /**
     * Set MaxModificationId value
     * @param int $maxModificationId
     * @return \StructType\GetEcoMonitorReportResult_V3
     */
    public function setMaxModificationId($maxModificationId = null)
    {
        // validation for constraint: int
        if (!is_null($maxModificationId) && !(is_int($maxModificationId) || ctype_digit($maxModificationId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($maxModificationId, true), gettype($maxModificationId)), __LINE__);
        }
        $this->MaxModificationId = $maxModificationId;
        return $this;
    }
}
